w3m-el (1.4.632+0.20221206.2328.4f27810-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * New upstream release. (Closes: 1099297)

 -- Abhijith PA <abhijith@debian.org>  Mon, 07 Apr 2025 19:43:26 +0530

w3m-el (1.4.632+0.20210201.2305.54c3ccd-3) unstable; urgency=medium

  * Prevent native compilation when byte-compiling
  * Enable byte-compile-warnings when byte-compiling
  * Leave a compilation log
  * Relax dependencies on emacs flavors (closes: #584786)
  * Update Standards-Version to 4.6.2
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Jan 2023 21:54:52 +0900

w3m-el (1.4.632+0.20210201.2305.54c3ccd-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable) (closes: #1013198)

  [ Tatsuya Kinoshita ]
  * Use makeinfo to build Info documents (closes: #1020152)
  * Avoid egrep in maintainer scripts
  * Remove empty maintainer scripts
  * Update Standards-Version to 4.6.1
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 06 Nov 2022 09:33:01 +0900

w3m-el (1.4.632+0.20210201.2305.54c3ccd-1) unstable; urgency=medium

  * New upstream version 1.4.632+0.20210201.2305.54c3ccd
  * Drop debian/patches
  * Remove unneeded handling of w3m-xmas.el and w3m-ucs.el
  * Add semi to Suggests and handle dependency for mime-w3m.el
  * Set emacs-w3m-git-revision with debian/changelog
  * Drop emacs25
  * Accept Emacs 28
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 18 Aug 2021 22:04:19 +0900

w3m-el (1.4.632+0.20181112-9) unstable; urgency=medium

  * Skip byte-compilation when Emacs 28 or later

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 17 Feb 2021 19:04:25 +0900

w3m-el (1.4.632+0.20181112-8) unstable; urgency=medium

  * New patch 100_history.patch to fix incorrect history plist
  * Update 010_filter.patch to 010_stackexchange.patch
  * Update Standards-Version to 4.5.1

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 26 Dec 2020 13:39:29 +0900

w3m-el (1.4.632+0.20181112-7) unstable; urgency=medium

  * Fix installation failure when apel is not installed

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 07 Nov 2020 20:14:41 +0900

w3m-el (1.4.632+0.20181112-6) unstable; urgency=medium

  * Drop emacs23, emacs24, xemacs21 and mule-ucs
  * Update Description from emacsen to GNU Emacs
  * Set w3m-use-symbol to nil in emacsen-startup
  * New patch 090_wikipedia.patch to update Wikipedia URLs

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 06 Nov 2020 19:38:28 +0900

w3m-el (1.4.632+0.20181112-5) unstable; urgency=medium

  * New patch 080_youtube.patch to remove youtube filter
  * Add Documentation to debian/upstream/metadata

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 25 Oct 2020 22:09:47 +0900

w3m-el (1.4.632+0.20181112-4) unstable; urgency=medium

  * New patch 070_duckduckgo.patch to update URL for DuckDuckGo
  * Update debian/watch
  * Update debhelper-compat to 13

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 06 Jul 2020 00:28:13 +0900

w3m-el (1.4.632+0.20181112-3) unstable; urgency=medium

  * New patch 060_mailcap.patch to prevent w3m-content-type-alist takes ages
  * Add debian/upstream/metadata
  * Add Rules-Requires-Root: no
  * Add GitHub information
  * Use Upstream-Contact to mention upstream sites
  * Update debian/copyright
  * Update Standards-Version to 4.5.0

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 21 Apr 2020 19:42:33 +0900

w3m-el (1.4.632+0.20181112-2) unstable; urgency=medium

  * Update debhelper-compat to 12
  * Update Standards-Version to 4.4.0

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 16 Jul 2019 22:44:18 +0900

w3m-el (1.4.632+0.20181112-1) unstable; urgency=medium

  * New upstream version 1.4.632+0.20181112
  * Drop 020_emacs26.patch
  * Drop 010_emacs27.patch
  * New patch 010_filter.patch to fix broken w3m-filter-stackexchange
  * New patch 020_google.patch to prevent META refresh when Google searching
  * New patch 030_unibyte.patch to fix incorrect unibyte conversion
  * New patch 040_nnheader.patch to not use mail-header-set-date for Emacs 27
  * New patch 050_symlink.patch to chase links in w3m-bookmark-file
  * Don't define emacs-w3m-git-revision even if GitHub version
  * Set w3m-use-refresh to nil in emacsen-startup
  * Drop emacs22
  * Update debian/copyright
  * Update Standards-Version to 4.3.0

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 06 Jul 2019 00:27:32 +0900

w3m-el (1.4.569+0.20170110-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Tatsuya Kinoshita ]
  * Don't remove *.el files when handling reverse dependency
  * No longer recompile emacspeak
  * Use debhelper-compat 11
  * Update Standards-Version to 4.2.1

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 17 Dec 2018 21:17:43 +0900

w3m-el (1.4.569+0.20170110-4) unstable; urgency=medium

  * Handle symlinks for emacsen-startup
  * Fix handling for unversioned emacs flavor
  * Fix handling for xemacs21-mule/nomule
  * Check stamp file so that source file isn't newer
  * Update Standards-Version to 4.2.0

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 21 Aug 2018 22:19:41 +0900

w3m-el (1.4.569+0.20170110-3) unstable; urgency=medium

  * Accept unversioned emacs flavor for emacsen-common 3.0.0
  * Drop workaround for emacsen-common 1.x

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 03 Jun 2018 15:22:33 +0900

w3m-el (1.4.569+0.20170110-2) unstable; urgency=medium

  * New patch 020_emacs26.patch
  * Update debhelper compat version to 11
  * Migrate from anonscm.debian.org to salsa.debian.org
  * Update Standards-Version to 4.1.4
  * Fix debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 01 Jun 2018 19:59:32 +0900

w3m-el (1.4.569+0.20170110-1) unstable; urgency=medium

  * New upstream version 1.4.569+0.20170110
  * Drop debian/patches
  * New patch 010_emacs27.patch
  * Update debhelper compat version to 10
  * Update Vcs-Git to https
  * Update debian/copyright
  * Update Standards-Version to 4.1.3
  * Prevent declare-function errors in emacsen-install
  * Add discount | libtext-markdown-perl | markdown to Suggests

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 06 Jan 2018 12:09:59 +0900

w3m-el (1.4.538+0.20141022-5) unstable; urgency=medium

  * New patch 040_obsolete.patch to drop make-obsolete
  * Prefer emacs-nox over emacs
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 19 Jan 2017 21:29:20 +0900

w3m-el (1.4.538+0.20141022-4) unstable; urgency=medium

  * Accept emacs25
  * Update debhelper compat version to 9

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 24 Oct 2016 00:04:29 +0900

w3m-el (1.4.538+0.20141022-3) unstable; urgency=medium

  * New patch 030_buffer-name.patch to work for Emacs 25.2
  * Update debian/copyright
  * Update Vcs-Browser to https
  * Update Standards-Version to 3.9.8

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 25 May 2016 22:00:34 +0900

w3m-el (1.4.538+0.20141022-2) unstable; urgency=medium

  * New patch 020_google.patch to avoid Google search looping

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 09 May 2015 06:24:18 +0900

w3m-el (1.4.538+0.20141022-1) unstable; urgency=medium

  * Imported Upstream version 1.4.538+0.20141022
  * Drop debian/patches
  * Update debian/copyright
  * New patch 010_w3m-filter.patch to update regexp for w3m-filter
  * Use configure option --with-emacs=emacs
  * Update Standards-Version to 3.9.6
  * Drop emacs21 to prevent an installation failure
  * Update Vcs-Browser

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 26 Apr 2015 12:24:19 +0900

w3m-el (1.4.483+0.20120614-8) unstable; urgency=medium

  * Depend on emacsen-common 2.0.8
  * Do not install obsolete attic/*.el files
  * Update debian/copyright
  * Install a compat file with emacsen-compat

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 24 May 2014 01:05:41 +0900

w3m-el (1.4.483+0.20120614-7) unstable; urgency=low

  * Workaround for emacsen-common <2 and debhelper <9.20131104

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 26 Dec 2013 23:26:59 +0900

w3m-el (1.4.483+0.20120614-6) unstable; urgency=low

  * Add workaround to compatible with emacsen-common <2.0.0

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Dec 2013 15:00:20 +0900

w3m-el (1.4.483+0.20120614-5) unstable; urgency=low

  * Update 0003-Use-mew-w3m-cite-blockquote.patch to fix infinite loop

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 04 Dec 2013 22:44:28 +0900

w3m-el (1.4.483+0.20120614-4) unstable; urgency=low

  * New patch 0003-Use-mew-w3m-cite-blockquote.patch (closes: #728501)
  * Update Standards-Version to 3.9.5

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 02 Dec 2013 21:49:06 +0900

w3m-el (1.4.483+0.20120614-3) unstable; urgency=low

  * New patch 0002-Set-w3m-use-cookies-to-t.patch (closes: #419647)

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 06 Jul 2013 10:04:32 +0900

w3m-el (1.4.483+0.20120614-2) unstable; urgency=low

  * New patch 0001-Fix-w3m-bookmark-for-Emacs-24.patch

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 07 May 2013 01:17:06 +0900

w3m-el (1.4.483+0.20120614-1) unstable; urgency=low

  * Imported Upstream version 1.4.483+0.20120614
    - Switch upstream to the development snapshot, because the upstream
      version 1.4.4 released on 2005-03-25 is too old and hard to maintain.
      The upstream tarball is from Debian wheezy, package w3m-el-snapshot.
    - Bug fixes in the development snapshot.
      (closes: #312143, #447728, #478707, #680621)
  * debian/*: Sync with w3m-el-snapshot

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 07 May 2013 00:12:43 +0900

w3m-el (1.4.4-12) unstable; urgency=low

  * debian/patches/050_emacs24.patch: Workaround for emacs24 errors
  * debian/patches/040_ptexinfmt.patch: Update ptexinfmt.el for emacs24
  * debian/control: Add emacs24

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 06 Jul 2012 23:36:12 +0900

w3m-el (1.4.4-11) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * debian/copyright: Update copyright-format version to 1.0.
  * debian/rules: Add the targets build-indep and build-arch.
  * debian/rules: Install shimbun/ChangeLog* and ChangeLog.*.
  * debian/emacsen-install.in: Add messages for the rare situations.
  * debian/control:
    - Add GNU Emacs flavors to Build-Depends-Indep.
    - Update Standards-Version to 3.9.3.

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 03 May 2012 19:47:04 +0900

w3m-el (1.4.4-10) unstable; urgency=low

  * w3m-e23.el: New file to byte-compile with emacs23 and emacs-snapshot,
    from the upstream development version on 2007-02-02.
  * debian/emacsen-install.in: Don't fail with emacs23, emacs-snapshot and
    xemacs21-nomule.
  * debian/control:
    - Add emacs23 to Depends. (closes: #541892)
    - Add emacs-snapshot to Depends.
    - Add `dpkg (>= 1.15.4) | install-info' to Depends.
    - Add ${misc:Depends} to Depends.
    - Set Section to lisp.
    - Remove emacsen flavors from Build-Depends-Indep, remain `emacs'.
    - Update Standards-Version to 3.8.4.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 12 Feb 2010 01:18:36 +0900

w3m-el (1.4.4-9) unstable; urgency=low

  * debian/emacsen-*: Rewritten.
  * debian/rules, debian/dirs.in: Install attic/*.el in the site-lisp
    directory.
  * debian/w3mhack.el.patch: Removed.
  * debian/compat, debian/control: Update debhelper version to 7.
  * debian/control:
    - Remove bitmap-mule from Suggests.
    - Update Standards-Version to 3.8.1.
  * debian/rules: Use dh_prep instead of `dh_clean -k'.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 09 Apr 2009 00:42:20 +0900

w3m-el (1.4.4-8) unstable; urgency=low

  * debian/emacsen-startup.in: Set w3m-icon-directory to
    "/usr/share/pixmaps/w3m-el/small" for GNU Emacs.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 23 Feb 2008 07:08:15 +0900

w3m-el (1.4.4-7) unstable; urgency=low

  * debian/rules: Install *.gif.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 20 Feb 2008 23:22:21 +0900

w3m-el (1.4.4-6) unstable; urgency=low

  * debian/control:
    - (Conflicts): Add epoch to the version of flim, and remove mew.
    - (Depends): Remove the version of apel.
    - (Description): Typo fix.
    - (Homepage): Move from Description.
    - (Standards-Version): 3.7.2 -> 3.7.3.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 09 Dec 2007 23:19:35 +0900

w3m-el (1.4.4-5) unstable; urgency=low

  * debian/README.Debian: Revised for the optional features, shimbun,
    w3m-namazu, etc.
  * debian/watch: New file.
  * Renamed from examples/w3m-*.el to examples/dot.w3m-*.el.
  * debian/control:
    - (Build-Depends-Indep): Add autoconf.
    - (Replaces, Conflicts): Add w3m-el-snapshot.
    - (Description): Typo fix.
  * Ready for w3m-el-snapshot.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 25 Nov 2007 14:49:14 +0900

w3m-el (1.4.4-4) unstable; urgency=low

  * Merge Ubuntu patches, thanks to Michael W. Olson.
    - debian/compat: Fix lintian warning by setting this to 5.
    - debian/control: Bump up debhelper version.
    - debian/control: Update Standards-Version to 3.7.2.
    - debian/emacsen-install: Create symlinks for .el files, rather than
      copying .el files and then removing them.
    - debian/rules:
      - Remove DH_COMPAT to silence lintian.
      - (clean): Silence lintian warning.
  * debian/emacsen-startup: Check whether
    /usr/lib/emacsen-common/packages/install/w3m-el exists.
  * debian/control:
    - Mention optional features in Description. (closes: #316457)
    - Add `libmoe1.5, namazu2, xpdf-utils, bzip2, perl-doc' to Suggests.
  * debian/copyright: Updated.
  * Acknowledge NMU.
    (closes: #441240, #333607, #434924, #412169, #377456, #393957)
  * New maintainer, with previous maintainer's permission.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 07 Oct 2007 13:15:54 +0900

w3m-el (1.4.4-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/copyright: Fix incorrect license information. Closes: Bug#441240
  * Debian/control:
    - Move mule-ucs, imagemagick, wv, xlhtml, ppthtml from Recommends to
      Suggests. Closes: Bug#333607
    - Add emacs | emacs22 to Depends and Build-Depends-Indep.
      Closes: Bug#434924
    - Remove emacs-snapshot from Depends.
    - Add mew-beta, gnus to Enhances.
  * debian/rules: Remove doc/version.texi at clean. Closes: Bug#412169
  * shimbun/mew-shimbun.el: Sync with the upstream CVS version for Mew 5.
    Closes: Bug#377456
  * debian/emacsen-install: Make symlinks for *.el. Closes: Bug#393957

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 13 Sep 2007 02:23:00 +0900

w3m-el (1.4.4-3) unstable; urgency=low

  * change dependency: Depends: emacs21 | emacs-snapshot | apel,
    since apel depends on emacs21 | emacsen, w3m-el on emacs21 and
    emacs-snapshot doesn't require apel, but xemacs does.
    closes: Bug#321995

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue,  9 Jan 2007 00:48:29 +0900

w3m-el (1.4.4-2) unstable; urgency=low

  * debian/emacsen-install: Fix xml.el detection
    closes: Bug#390103

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 30 Sep 2006 00:12:55 +0900

w3m-el (1.4.4-1) unstable; urgency=low

  * New upstream release
  * closes: Bug#300850

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 19 Apr 2005 00:56:35 +0900

w3m-el (1.4.3-3) unstable; urgency=low

  * shimbun/mew-shimbun.el: apply patch for Mew 4.2
    Thanks to Tatsuya Kinoshita
    closes: Bug#294434

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 15 Feb 2005 02:11:25 +0900

w3m-el (1.4.3-2) unstable; urgency=low

  * debian/emacsen-startup: check file exists
      in case package was removed, but not yet purged
    closes: Bug#250930
  * debian/emacsen-install: use apel/*.elc instead of apel/*.el
    closes: Bug#251065

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 30 Oct 2004 01:40:13 +0900

w3m-el (1.4.3-1) unstable; urgency=low

  * New upstream release
  * fix problem with broken meta tag with w3mmee
  * fix problem with some versions of Gnus

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 17 Aug 2004 12:05:25 +0900

w3m-el (1.4.2-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 15 Jul 2004 01:31:52 +0900

w3m-el (1.4.1-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu,  8 Jul 2004 01:20:13 +0900

w3m-el (1.4-2) unstable; urgency=low

  * emacsen-install: should not remove w3m-load.el, which was not byte-compiled
    closes: Bug#247042

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon,  3 May 2004 16:09:42 +0900

w3m-el (1.4-1) unstable; urgency=low

  * New upstream release
  * emacsen-install: adapt for emacs-w3m 1.4 installation
  		install xml.el if necessary
  * emacsen-startup: remove autoload's
  * small icons are installed in /usr/share/pixmaps/w3m-el/small/

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 30 Apr 2004 02:04:22 +0900

w3m-el (1.3.6-4) unstable; urgency=low

  * backport w3m 0.5 support from w3m.el Revision: 1.1009
  * remove emacs20 from build-depends:, depends:
    closes: Bug#232743, Bug#232799

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 23 Mar 2004 01:06:29 +0900

w3m-el (1.3.6-3) unstable; urgency=low

  * emacsen-install: LPATH should be NONE if no optional emacsen packages found
    closes: Bug#203870, Bug#203922

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  3 Aug 2003 05:44:03 +0900

w3m-el (1.3.6-2) unstable; urgency=low

  * w3mhack.el: fix to support mule2
    requested by TSUCHIYA Masatoshi <tsuchiya@namazu.org>

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 25 Jul 2003 11:43:29 +0900

w3m-el (1.3.6-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 23 Jul 2003 02:37:27 +0900

w3m-el (1.3.5-1) unstable; urgency=low

  * New upstream release
  * emacsen-install: add gnus, t-gnus to load-path if exist

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  6 Jul 2003 01:25:15 +0900

w3m-el (1.3.4+1.3.5rc2-2) unstable; urgency=low

  * emacs-install: fix typo. closes: Bug#197877

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri,  4 Jul 2003 12:17:16 +0900

w3m-el (1.3.4+1.3.5rc2-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri,  4 Jul 2003 03:07:22 +0900

w3m-el (1.3.4-1) unstable; urgency=low

  * New upstream release
  * check /usr/share/${FLAVOR}/site-lisp/wl for shimbun module
    closes: Bug#197877

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 19 Jun 2003 00:35:52 +0900

w3m-el (1.3.3+1.3.4rc5-1) unstable; urgency=low

  * New upstream release candidate
  * debian/control: conflicts: apel (<< 10.5)

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 18 Jun 2003 02:40:37 +0900

w3m-el (1.3.3+1.3.4rc4-4) unstable; urgency=low

  * debian/control: loosen dependency to apel if emacs21,emacs20.
    if you use shimbun or octet.el (application/octet-stream inline viewer),
    you should install apel (>= 10.5)

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 14 Jun 2003 01:12:06 +0900

w3m-el (1.3.3+1.3.4rc4-3) unstable; urgency=low

  * debian/rules: install info-* file as well.
    closes: Bug#197126

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 13 Jun 2003 00:44:52 +0900

w3m-el (1.3.3+1.3.4rc4-2) unstable; urgency=low

  * debian/control: add emacs2[01] to build-depends-indep:
    closes: Bug#196881

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 11 Jun 2003 00:02:32 +0900

w3m-el (1.3.3+1.3.4rc4-1) unstable; urgency=low

  * New upstream release candidate
    debian/docs: remove README.namazu.ja, README.shimbun.ja
  			FAQ, FAQ.ja, TIPS.ja
    debian/rules: installinfo
  * debian/control: depends: apel (>= 10.5) for make-temp-file
    closes: Bug#195944
  * debian/control: build-depends-indep: debhelper (>= 3.0.0)
  * debian/copyright: fix upstream authors with dh_make boilerplate

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  8 Jun 2003 02:09:53 +0900

w3m-el (1.3.3-3) unstable; urgency=low

  * debian/control: mew moved to Enhances:
  		add wv, xlhtml, pphtml in Recommends:
    suggested by TSUCHIYA Masatoshi <tsuchiya@namazu.org>

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 27 Nov 2002 02:19:09 +0900

w3m-el (1.3.3-2) unstable; urgency=low

  * emacsen-install: add bitmap-mule in load-path
    suggested by TSUCHIYA Masatoshi <tsuchiya@namazu.org>

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 27 Oct 2002 17:20:35 +0900

w3m-el (1.3.3-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 25 Oct 2002 17:17:40 +0900

w3m-el (1.3.2+1.3.3rc3-3) unstable; urgency=low

  * check wl is installed or not. closes: Bug#166250
  * force to reinstall wl-beta if installed as well as wl
  * enhances: wl-beta

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 25 Oct 2002 10:22:26 +0900

w3m-el (1.3.2+1.3.3rc3-2) unstable; urgency=low

  * force to reinstall wl when w3m-el is installed/removed
    fix "Cannot open load file: elmo-shimbun" at M-x wl
  * enhances: wl

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 24 Oct 2002 22:09:33 +0900

w3m-el (1.3.2+1.3.3rc3-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 23 Oct 2002 03:03:10 +0900

w3m-el (1.3.2+1.3.3rc2-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 18 Oct 2002 17:42:33 +0900

w3m-el (1.3.2+1.3.3rc1-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 17 Oct 2002 03:19:31 +0900

w3m-el (1.3.2-4) unstable; urgency=low

  * add recommends: imagemagick
    suggested by  TSUCHIYA Masatoshi <tsuchiya@pine.kuee.kyoto-u.ac.jp>

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue,  8 Oct 2002 00:36:50 +0900

w3m-el (1.3.2-3) unstable; urgency=low

  * use binary-indep instead of binary-arch, closes: Bug#163088
   - debian/rules: fix
   - debian/control: Standards-Version: 3.5.7

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu,  3 Oct 2002 00:37:53 +0900

w3m-el (1.3.2-2) unstable; urgency=low

  * suggested by TSUCHIYA Masatoshi <tsuchiya@pine.kuee.kyoto-u.ac.jp>
   - debian/control: depends w3m* > 0.3,
   - debian/emacsen-install: use mule-ucs when byte-compile

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  8 Sep 2002 02:17:04 +0900

w3m-el (1.3.2-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed,  4 Sep 2002 00:37:02 +0900

w3m-el (1.3.1+1.3.2rc2-2) unstable; urgency=low

  * remove Japanese comments from w3m-el
    because it will byte-compile error

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 30 Aug 2002 22:03:07 +0900

w3m-el (1.3.1+1.3.2rc2-1) unstable; urgency=low

  * New upstream release
  * autoload w3m-browse-url, closes: Bug#158513

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 30 Aug 2002 09:37:40 +0900

w3m-el (1.3.1+1.3.2rc1-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 28 Aug 2002 00:03:29 +0900

w3m-el (1.3.1-2) unstable; urgency=low

  * fix (wrong-type-argument integerp nil)
  - apply patch [emacs-w3m:03780]

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 23 Aug 2002 02:02:24 +0900

w3m-el (1.3.1-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 18 Jul 2002 01:04:14 +0900

w3m-el (1.3-2) unstable; urgency=low

  * apply [emacs-w3m:03632]
    fix w3m-view-image

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 12 Jul 2002 01:04:25 +0900

w3m-el (1.3-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon,  8 Jul 2002 02:39:25 +0900

w3m-el (1.2.53-1) experimental; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 29 Jun 2002 22:48:11 +0900

w3m-el (1.2.52-1) experimental; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 29 Jun 2002 01:58:58 +0900

w3m-el (1.2.51-1) experimental; urgency=low

  * New upstream release
  * apply patch [emacs-w3m:03562]

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 27 Jun 2002 01:27:31 +0900

w3m-el (1.2.50-1) experimental; urgency=low

  * New upstream release
  * dependency change:
    - Depends: (xemacs21, apel) | emacs20 | emacs21
    - remove mule2 from depends: since debian doesn't have mule2 any more
    - Recommends: flim, mule-ucs

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 25 Jun 2002 01:21:34 +0900

w3m-el (1.2.8-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 20 Jun 2002 13:30:44 +0900

w3m-el (1.2.7-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon,  3 Jun 2002 21:04:36 +0900

w3m-el (1.2.6-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 12 Mar 2002 23:45:20 +0900

w3m-el (1.2.5-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  3 Mar 2002 01:52:54 +0900

w3m-el (1.2.4+1.2.5rc1-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 26 Feb 2002 23:47:31 +0900

w3m-el (1.2.4-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue,  8 Jan 2002 00:51:36 +0900

w3m-el (1.2.3-2) unstable; urgency=low

  * change image viewr command defaults, from emacs-w3m cvs
    closes: Bug#126048

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 23 Dec 2001 02:00:30 +0900

w3m-el (1.2.3-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 21 Dec 2001 17:23:34 +0900

w3m-el (1.2.2-3) unstable; urgency=low

  * change pixmaps dir to /usr/share/pixmaps/w3m-el, closes: Bug#124069

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 16 Dec 2001 01:01:58 +0900

w3m-el (1.2.2-2) unstable; urgency=low

  * add /usr/share/(flavor)/site-lisp/w3m/shimbun to load-path
    closes: Bug#123066

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  9 Dec 2001 20:17:18 +0900

w3m-el (1.2.2-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu,  6 Dec 2001 18:07:36 +0900

w3m-el (1.2.1-1) unstable; urgency=low

  * new upstream release 1.2.1

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 13 Nov 2001 02:14:59 +0900

w3m-el (1.2+1.2.1rc2-1) unstable; urgency=low

  * new upstream 1.2.1 release candidate 2
   - define w3m-current-title, w3m-current-url in w3m.el
     closes: Bug#118590 Cannot use on XEmacs21
   - ftp download fixed
   - workaround fix for <input type="image">

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri,  9 Nov 2001 12:24:09 +0900

w3m-el (1.2-1) unstable; urgency=low

  * new upstream release 1.2
   - when loading w3m-ucs failed, force setting w3m-use-mule-ucs to nil.
     closes: Bug#118353

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue,  6 Nov 2001 17:52:40 +0900

w3m-el (1.1+1.2rc5-1) unstable; urgency=low

  * new upstream 1.2 release candidate 5

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat,  3 Nov 2001 00:16:44 +0900

w3m-el (1.1+1.2rc4-2) unstable; urgency=low

  * debian/control:
    depends: w3mmee

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu,  1 Nov 2001 00:31:18 +0900

w3m-el (1.1+1.2rc4-1) unstable; urgency=low

  * new upstream 1.2 release candidate 4
  * (debian/control) official page URI updates
      Build-Depends -> Build-Depends-Indep
  * (debian/changelog) official page URI updates
      upstream author e-mail address updates
  * (debian/w3m-gnus.el debian/w3m-yahtml.el) from TIPS.ja

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 30 Oct 2001 11:39:45 +0900

w3m-el (1.1+1.2rc3-1) unstable; urgency=medium

  * new upstream 1.2 release candidate 3
  * (regexp-opt.el debian/emacsen-install)
     move /usr/share/emacs/site-lisp/w3m/attic/
     to /usr/share/doc/w3m-el/attic/, since emacsen may found
     regexp-opt.el.
     suggested by TSUCHIYA Masatoshi <tsuchiya@pine.kuee.kyoto-u.ac.jp>
  * (debian/control)
    - suggests mule-ucs
      With mule-ucs, w3m-el can browse utf-8 pages.
    - conflicts mew (<< 2.0), flim (<< 1.14.3), apel (<< 10.3+20010601cvs)
     suggested by TSUCHIYA Masatoshi <tsuchiya@pine.kuee.kyoto-u.ac.jp>
  * (debian/BUGS) removed
    all bugs in debian/BUGS file fixed as above
  * w3mhack.el
    apply patch from TSUCHIYA Masatoshi <tsuchiya@pine.kuee.kyoto-u.ac.jp>
    remove /usr/share/xemacs21/packages/lisp/mew from load-path, because
    mew in xemacs21 is old for w3m-el.
  * (debian/emacsen-startup)
    remove w3m-type since it is automatically detected now.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 29 Oct 2001 22:32:02 +0900

w3m-el (1.1+1.2rc2-1) unstable; urgency=low

  * new upstream 1.2 release candidate 2

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 29 Oct 2001 01:17:56 +0900

w3m-el (1.0-3) unstable; urgency=low

  * (debian/emacsen-install)
   - use non byte-complied elisp if not found.
   - remove path.elc

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  3 Jun 2001 03:33:45 +0900

w3m-el (1.0-2) unstable; urgency=low

  * (debian/emacsen-install) add required e-lisp modules into load-path.
    without this, byte-complication will fail on Mule2/XEmacs21 because
    APEL was not found on load-path.
    reported by TSUCHIYA Masatoshi <tsuchiya@pine.kuee.kyoto-u.ac.jp>
  * (debian/control) On mule2, w3m-el actually requires custom-mule
    is installed.  So dependency become:
     Depends: (xemacs21, xemacs21-basesupport) | emacs20 | (mule2, apel, custom-mule)
    custom-mule depends on mule2, so it can be reduced
     Depends: (xemacs21, xemacs21-basesupport) | emacs20 | (apel, custom-mule)
    reported by TSUCHIYA Masatoshi <tsuchiya@pine.kuee.kyoto-u.ac.jp>

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 12 May 2001 00:50:22 +0900

w3m-el (1.0-1) unstable; urgency=low

  * new upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed,  9 May 2001 23:42:39 +0900

w3m-el (0.2.150-2) unstable; urgency=low

  * (debian/emacsen-startup): add (setq w3m-mnc t)
  * (debian/control): depends: w3m (>= 0.2.1-2) | w3m-ssl (>= 0.2.1-2)
  * (debian/emacsen-install): subdir shimbun

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat,  7 Apr 2001 19:46:20 +0900

w3m-el (0.2.150-1) unstable; urgency=low

  * new upstream version
  * (debian/emacsen-startup) add several autoload,
    suggested by TSUCHIYA Masatoshi <tsuchiya@pine.kuee.kyoto-u.ac.jp>
  * add dependency: known to work with emacs21
  * recommends w3m (>= 0.2.1-2) | w3m-ssl (>= 0.2.1-2)
    because these version are applied w3m-0.2.1-mnc.patch

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat,  7 Apr 2001 01:19:11 +0900

w3m-el (0.2.126-2) unstable; urgency=low

  * fix dependency suggested by upstream author
    TSUCHIYA Masatoshi <tsuchiya@pine.kuee.kyoto-u.ac.jp>
    Depends: (xemacs21, xemacs21-basesupport) | emacs20 | (mule2, apel)
  * w3m-el doesn't depend on flim, only suggests flim
  * w3m-el suggests mew (mew-w3m.el)

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon,  2 Apr 2001 23:30:10 +0900

w3m-el (0.2.126-1) unstable; urgency=low

  * new upstream version
  * fix dependency:
     mime => flim
     poe, poem pcustom, pces => xemacs21-basesupport | apel

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 23 Mar 2001 18:53:11 +0900

w3m-el (0.2.125-1) unstable; urgency=low

  * Initial Release. closes: Bug#90678

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 23 Mar 2001 02:42:30 +0900
